Update Application
Changes the configuration of an OIDC, API or SAML type application, as well as the application name, based on the input provided.
Required permissions:
- project.app.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.application.v2.ApplicationService/UpdateApplication" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "apiConfiguration": {} }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Reactivate Application
Reactivate Application: Reactivates the application belonging to the input project and matching the provided application ID. Required permissions:
Role Assignment API
Explore the Role Assignment API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.